String readString;

void setup() {
  pinMode(13, OUTPUT);
  // Start de seriel poort op 9600 baud.
  Serial.begin(9600);
}
 
void loop() {
  while (Serial.available()) {
    // Even wachten zodat de buffer zich kan vullen.
    delay(3);
    // Kijk of er seriele gegevens binnenkomen.
    if (Serial.available() >0) {
      // Lees 1 byte van de seriele buffer.
      char c = Serial.read();
      // Plaats de ingelezen byte achter de rest (om een string te maken).
      readString += c;
    } 
  }
 
  if (readString.length() >0) {
    // Lees de positie in van de seriele poort, maak er een FLOAT getal van (toFloat).
    // Inkomend x 100, de functie hieronder MAP kan geen float nummers aan.
    if (readString == "1") { digitalWrite(13, HIGH); }
    if (readString == "0") { digitalWrite(13, LOW); }

    // Maak de buffer weer leeg.
    readString = "";
  } 
}